import { DOMWidgetModel } from '@jupyter-widgets/base';
import { ISerializers } from 'jupyter-dataserializers';
import { VtkWidgetModel } from './base';
export declare class DataArrayModel extends VtkWidgetModel {
    defaults(): {
        _model_name: string;
        data: undefined;
        name: null;
        _model_module: string;
        _model_module_version: string;
        _view_module: string;
        _view_module_version: string;
        _view_name: any;
        _view_count: any;
    };
    static serializers: ISerializers;
}
export declare class DataContainerModel extends VtkWidgetModel {
    defaults(): {
        _model_name: string;
        attributes: undefined;
        data_arrays: undefined;
        kind: undefined;
        _model_module: string;
        _model_module_version: string;
        _view_module: string;
        _view_module_version: string;
        _view_name: any;
        _view_count: any;
    };
    static serializers: ISerializers;
}
export declare class DataSetModel extends VtkWidgetModel {
    defaults(): {
        containers: undefined;
        _model_module: string;
        _model_module_version: string;
        _view_module: string;
        _view_module_version: string;
        _model_name: string;
        _view_name: any;
        _view_count: any;
    };
    static serializers: ISerializers;
}
export declare class MutableDataSetModel extends DataSetModel {
    defaults(): {
        _model_name: string;
        kind: undefined;
        metadata: undefined;
        containers: undefined;
        _model_module: string;
        _model_module_version: string;
        _view_module: string;
        _view_module_version: string;
        _view_name: any;
        _view_count: any;
    };
    static serializers: ISerializers;
}
export declare class ImageDataModel extends DataSetModel {
    defaults(): {
        _model_name: string;
        origin: never[];
        spacing: never[];
        containers: undefined;
        _model_module: string;
        _model_module_version: string;
        _view_module: string;
        _view_module_version: string;
        _view_name: any;
        _view_count: any;
    };
    static serializers: ISerializers;
}
export declare class RectilinearGridModel extends DataSetModel {
    defaults(): {
        _model_name: string;
        whole_extent: never[];
        containers: undefined;
        _model_module: string;
        _model_module_version: string;
        _view_module: string;
        _view_module_version: string;
        _view_name: any;
        _view_count: any;
    };
    static serializers: ISerializers;
}
export declare class StructuredGridModel extends DataSetModel {
    defaults(): {
        _model_name: string;
        whole_extent: never[];
        containers: undefined;
        _model_module: string;
        _model_module_version: string;
        _view_module: string;
        _view_module_version: string;
        _view_name: any;
        _view_count: any;
    };
    static serializers: ISerializers;
}
export declare class PolyDataModel extends DataSetModel {
    defaults(): {
        _model_name: string;
        containers: undefined;
        _model_module: string;
        _model_module_version: string;
        _view_module: string;
        _view_module_version: string;
        _view_name: any;
        _view_count: any;
    };
    static serializers: ISerializers;
}
export declare class UnstructuredGridModel extends DataSetModel {
    defaults(): {
        _model_name: string;
        containers: undefined;
        _model_module: string;
        _model_module_version: string;
        _view_module: string;
        _view_module_version: string;
        _view_name: any;
        _view_count: any;
    };
    static serializers: ISerializers;
}
export declare class VtkRendererModel extends DOMWidgetModel {
    defaults(): any;
    static serializers: ISerializers;
}
